%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           postr
Version:        0.5
Release:        3%{?dist}
Summary:        Flickr uploader

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.burtonini.com/blog/computers/postr
Source0:        http://burtonini.com/computing/postr-0.5.tar.gz

# Icons were pulled from the bazaar repository since they are not included in
# the current version of postr.
# 
# Because bazaar does not preserve the original time stamp when you check out
# from a repository, the md5sum of the generated tarball will be different each
# time. To verify the integrity of the supplied postr-icons.tar file you have
# to check each file separatelly 
#
# The following command were used to generate the tarball:
# $ bzr branch -r 126 http://burtonini.com/bzr/postr/postr.dev/
# $ cd postr.dev
# $ tar cf postr-icons.tar data setup.py
Source1:        postr-icons.tar

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       python-twisted-core
Requires:       python-twisted-web
Requires:       pygtk2
Requires:       nautilus-python
Requires:       hicolor-icon-theme


%description
Tool for uploading photos to the photo-sharing website Flickr.


%prep
%setup -q -a1

# Remove shebang from files. Makes rmplint happy.
sed -i '1,1d' src/postr.py src/iptc.py 


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
  --delete-original \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/%{name}
%{_libdir}/nautilus/extensions-1.0/python/postrExtension.py*
%{python_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Thu May 03 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.5-3
- Added missing hicolor-icon-theme requirement.

* Wed May 02 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.5-2
- Backported icons from development branch of Postr.

* Wed Apr 04 2007 Trond Danielsen <trond.danielsen@fedoraproject.org> - 0.5-1
- Initial version
